Page MenuHomePhabricator

mediawiki.ui checkbox not working on Safari for iOS 5.1.1
Closed, DeclinedPublic

Description

'I can no longer check "Keep me logged in" on my iPad 1. The checkbox doesn't function. The browser is Safari (native for the iPad). I'm having trouble finding a version ID, but the version corresponds to IOS 5.1.1, the last operating system update for iPad 1.'

https://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_(technical)&oldid=635229914#Login_page_on_iPad_1

Event Timeline

TheDJ created this task.Nov 24 2014, 12:59 PM
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added a project: MediaWiki-MediaWiki-UI.
TheDJ changed Security from none to None.
TheDJ added a subscriber: TheDJ.
TheDJ added a comment.May 29 2015, 8:11 AM

i believe someone was working on converting this page to oojs-ui, which if I remember correctly will fix this.

I find this bug *extremely annoying* and would like a work-around if it can't be fixed

i believe someone was working on converting this page to oojs-ui, which if I remember correctly will fix this.

That is possible depending on the issue (it's hard to guess what might be not working correctly). There is a pending patch to MediaWiki UI version that might help (no promises): https://gerrit.wikimedia.org/r/#/c/213492/

(It doesn't seem to help, using crossbrowsertesting.com. Maybe we should just blacklist old Safaris on iOS somehow.)

When I currently open up any link on (English) Wikipedia with Safari on iOS 5.1.1 on iPad 1, I'm forwarded to the mobile version, which doesn't include the 'keep me logged in' checkbox at all.

By manually deleting the m. from the address I'm able to face that problem. An edge case.
The form 'back' & 'forward' buttons above the iOS keyboard don't focus anything besides the two input fields at all.

Volker_E triaged this task as Lowest priority.Oct 1 2015, 9:24 PM
Krinkle renamed this task from MediaWiki.UI checkbox not working on Safari for IOS 5.1.1 to mediawiki.ui checkbox not working on Safari for iOS 5.1.1.Mar 7 2017, 10:36 PM
Volker_E closed this task as Declined.Apr 29 2019, 10:18 PM

Testing in BrowserStack with Safari on iPad 3 simulator, iOS 5.1:


iPad 2/iOS 5


Seemingly works in those two.

Might have been super edge case, I don't think we're going to hunt this down any more.